<!DOCTYPE html>
<html>

<head>
  <meta charset='utf-8'>
  <title>Pizza 365 project</title>
  <meta name='viewport' content='width=device-width, initial-scale=1'>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body onload="onPageLoadDing()">
  <div class="container">
    <p class="h3 text-center mt-5"> Chọn đồ uống </p>
    <div class="form-group col-12">
      <hr class="mt-5 mb-5" />
    </div>

    <div class="form-group">
      <label>Đồ uống:</label>
      <select id="input-select" class="form-control">
        <option>Chọn đồ uống</option>
      </select>
    </div>
    <button onclick="onBtnClickDrinks()" id="show-result" class="btn btn-primary w-25">Hiển thị</button>
  </div>
  <script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gREQUEST_STATUS_OK = 200;
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    function onPageLoadDing() {
      // bước 1 Đọc : bỏ qua

      // bước 2 Kiểm tra: bỏ qua 
      // bước 3 gọi API
      var vXmlHttp = new XMLHttpRequest();
      processAPI(vXmlHttp);
      vXmlHttp.onreadystatechange =
        function () {
          if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
            //ghi response text ra console.log
            showDataFileSelect(vXmlHttp);
          }
        };
    }
    // nút sự kiện hiện thị loại nước đã chọn
    function onBtnClickDrinks()
    {
      var vDrinks = 
      {
        drinksValue: "",
        drinksText: "",
      };
      readDataSelect(vDrinks);
      console.log(vDrinks);
      // hiện thị thông tin
      displayConsoleDrinks(vDrinks);
    }

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function readDataSelect(paramObj)
    {
      var vSelect = document.getElementById("input-select");
      paramObj.drinksValue = vSelect.value ;
      paramObj.drinksText = vSelect.options[vSelect.selectedIndex].text ;
    }
    // hiện thị select được chọn
    function displayConsoleDrinks(paramObj)
    {
      console.log("Value được chọn : " + paramObj.drinksValue);
      console.log("Nội dung được chọn : " + paramObj.drinksText);

    }

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    // gọi API
    function processAPI(paramHttp) {
      paramHttp.open("GET", "http://203.171.20.210:8080/devcamp-pizza365/drinks", true);
      paramHttp.send();
    }
    // hiện thị dữ liệu Select
    function showDataFileSelect(paramHttp) {
      var vObjSelect = JSON.parse(paramHttp.responseText);
      console.log(vObjSelect);
      // tạo select option
      var vSelect = document.getElementById("input-select");
      for (var bI = 0; bI < vObjSelect.length; bI++) {
        var bOptioned = document.createElement("option");
        bOptioned.value = vObjSelect[bI].maNuocUong;
        bOptioned.innerHTML = vObjSelect[bI].tenNuocUong;
        vSelect.appendChild(bOptioned);

      }
    }
    //mã nguồn để load data về
  </script>
</body>

</html>